=== debian/control ===
Source: korganizer
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.99.0~),
               gettext,
               kuserfeedback-dev (>= 1.2.0~),
               libgrantlee5-dev (>= 5.2~),
               libkf5akonadi-dev (>= 4:22.12.3~),
               libkf5akonadicalendar-dev (>= 4:22.12.3~),
               libkf5akonadicontact-dev (>= 4:22.12.3~),
               libkf5akonadinotes-dev (>= 4:22.12.3~),
               libkf5calendarcore-dev (>= 5:5.99.0~),
               libkf5calendarsupport-dev (>= 4:22.12.3~),
               libkf5calendarutils-dev (>= 4:22.12.3~),
               libkf5config-dev (>= 5.99.0~),
               libkf5configwidgets-dev (>= 5.99.0~),
               libkf5contacts-dev (>= 5:5.99.0~),
               libkf5coreaddons-dev (>= 5.99.0~),
               libkf5crash-dev (>= 5.99.0~),
               libkf5doctools-dev (>= 5.99.0~),
               libkf5eventviews-dev (>= 4:22.12.3~),
               libkf5holidays-dev (>= 1:5.99.0~),
               libkf5i18n-dev (>= 5.99.0~),
               libkf5iconthemes-dev (>= 5.99.0~),
               libkf5identitymanagement-dev (>= 22.12.3~),
               libkf5incidenceeditor-dev (>= 22.12.3~),
               libkf5itemviews-dev (>= 5.99.0~),
               libkf5jobwidgets-dev (>= 5.99.0~),
               libkf5kcmutils-dev (>= 5.99.0~),
               libkf5kontactinterface-dev (>= 22.12.3~),
               libkf5ldap-dev (>= 22.12.3~),
               libkf5libkdepim-dev (>= 4:22.12.3~),
               libkf5mailtransport-dev (>= 22.12.3~),
               libkf5mime-dev (>= 22.12.3~),
               libkf5newstuff-dev (>= 5.99.0~),
               libkf5notifications-dev (>= 5.99.0~),
               libkf5parts-dev (>= 5.99.0~),
               libkf5pimcommon-dev (>= 4:22.12.3~),
               libkf5pimtextedit-dev (>= 22.12.3~),
               libkf5widgetsaddons-dev (>= 5.99.0~),
               libkf5windowsystem-dev (>= 5.99.0~),
               libkf5xmlgui-dev (>= 5.99.0~),
               libphonon4qt5-dev,
               libx11-dev,
               pkg-config,
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.15.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/pim/korganizer
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/korganizer
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/korganizer.git
Rules-Requires-Root: no

Package: korganizer
Architecture: any
Depends: kdepim-runtime, ${misc:Depends}, ${shlibs:Depends},
Recommends: kalendarac,
Homepage: http://kontact.kde.org/korganizer/
Description: calendar and personal organizer
 This package contains KOrganizer, a calendar and scheduling program.
 .
 KOrganizer aims to be a complete program for organizing appointments,
 contacts, projects, etc. KOrganizer natively supports information interchange
 with other calendar applications, through the industry standard vCalendar
 personal data interchange file format. This eases the move from other
 modern PIMs to KOrganizer.
